@import url('blog.css');

.btn-comment {
    display: none;
}

.post {
    cursor: default;
}

.post:hover {
    background-color: var(--header-background-color);
}

.messages {
    text-align: center;
}

.post-comments {
    margin-top: 2em;
    display: flex;
    flex-direction: column;
    gap: 1.5em;
}

.comment {
    padding: 1em;
    border-top: 1px solid var(--input-border-color);
}

.comment-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow-wrap: break-word; 
    word-wrap: break-word; 
    word-break: break-word;
    margin-bottom: 0.5em;
}

.comment-author {
    font-size: 1em;
    color: var(--accent-color);
    overflow-wrap: break-word; 
    word-wrap: break-word; 
    word-break: break-word;
}

.comment-time {
    font-size: 0.8em;
    color: var(--text-color-light);
    overflow-wrap: break-word; 
    word-wrap: break-word; 
    word-break: break-word;
}

.comment-content {
    margin: 0.5em 0;
    color: var(--text-color-light);
    line-height: 1.5em;
    overflow-wrap: break-word; 
    word-wrap: break-word; 
    word-break: break-word;
}

.comment-actions {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 0.5em;
}

.comment-actions .btn-upvote, .comment-actions .btn-downvote, .comment-actions .btn-delete {
    background-color: var(--btn-bg-color);
    color: var(--text-color-dark);
    border: none;
    border-radius: 0.3em;
    padding: 0.3em 0.8em;
    cursor: pointer;
    font-size: 0.9em;
    line-height: 1.5em;
    transition: background-color 0.3s ease;
}

.comment-actions .btn-upvote, .comment-actions .btn-downvote {
    transition: transform 0.2s ease, color 0.2s ease;
}

.comment-actions .btn-upvote.up {
    color: var(--success-color);
}

.comment-actions .btn-downvote.down {
    color: var(--error-color);
}

.comment-actions .btn-upvote:hover, .comment-actions .btn-downvote:hover, .comment-actions .btn-delete:hover {
    background-color: var(--button-bg-hover);
}

.comment .vote-count {
    font-size: 1em;
    color: var(--text-color-light);
    transition: transform 0.2s ease, color 0.2s ease;
}

.comment .vote-count.plusupdated {
    transform: scale(1.5);
    color: var(--success-color);
}

.comment .vote-count.minusupdated {
    transform: scale(1.5);
    color: var(--error-color);
}

.add-comment {
    background-color: var(--header-background-color);
    padding: 1em;
    border-radius: 0.5em;
    border: 1px solid var(--input-border-color);
}

#comment-form {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

#comment-input {
    padding: 0.8em;
    width: 100%;
    height: 2.8em;
    font-family: 'Arial', sans-serif;
    font-size: 1em;
    border: none;
    border-radius: 0.3em;
    resize: none;
    box-sizing: border-box;
}

#comment-input:focus {
    border-color: var(--accent-color);
    outline: none;
}

.btn-submit {
    margin-top: 0.5em;
    padding: 0.5em 1em;
    border: none;
    border-radius: 0.5em;
    background-color: var(--btn-bg-color);
    color: var(--text-color-dark);
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: 5em;
    line-height: 1.5em;
}

.btn-submit:hover {
    background-color: var(--button-bg-hover);
}

.btn-submit:focus {
    outline: none;
    box-shadow: 0 0 0.3em rgba(0, 0, 0, 0.3);
}

#message {
    text-align: center;
    padding-top: 3em;
    padding-bottom: 7em;
    margin: auto 0;
}

#message p {
    font-size: 1.2em;
    margin: 1em;
}

#message a {
    color: var(--link-text-color);
    text-decoration: underline;
}

.result-title {
    font-size: 3em;
    text-align: center;
    color: var(--accent-color);
}